OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
oms::Option< T > Class Template Reference

`#include <Option.h>`

## Public Member Functions
| Option ()
| Option (T value)
| Option (Option< T > const &rhs)
| ~Option ()
Option< T > & | operator= (Option< T > const &rhs)
Option< T > & | operator= (T const &rhs)
bool | isSome () const
bool | isNone () const
T | getValue () const
void | setValue (const T &value)
void | setNone ()

## Private Attributes
bool | some
T | value

## Constructor & Destructor Documentation

## ◆ Option() [1/3]

template<typename T >

oms::Option< T >::Option | ( |  | ) |
| inline

## ◆ Option() [2/3]

template<typename T >

oms::Option< T >::Option | ( | T | value | ) |
| inline

## ◆ Option() [3/3]

template<typename T >

oms::Option< T >::Option | ( | Option< T > const & | rhs | ) |
| inline

## ◆ ~Option()

template<typename T >

oms::Option< T >::~Option | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getValue()

template<typename T >

T oms::Option< T >::getValue | ( |  | ) | const
| inline

## ◆ isNone()

template<typename T >

bool oms::Option< T >::isNone | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ isSome()

template<typename T >

bool oms::Option< T >::isSome | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ operator=() [1/2]

template<typename T >

Option< T > & oms::Option< T >::operator= | ( | Option< T > const & | rhs | ) |
| inline

## ◆ operator=() [2/2]

template<typename T >

Option< T > & oms::Option< T >::operator= | ( | T const & | rhs | ) |
| inline

## ◆ setNone()

template<typename T >

void oms::Option< T >::setNone | ( |  | ) |
| inline

## ◆ setValue()

template<typename T >

void oms::Option< T >::setValue | ( | const T & | value | ) |
| inline

## Member Data Documentation

## ◆ some

template<typename T >

bool oms::Option< T >::some
| private

## ◆ value

template<typename T >

T oms::Option< T >::value
| private

The documentation for this class was generated from the following file:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Option.h